Subject: Re: [PATCH 7/7] archive: provide builtin .tar.gz filter

From: Chris Webb <[email-masked]>
Date: Thu, 16 Jun 2011 08:56:21 +0100

Jeff King <[email-masked]> writes:

> No, I mean that people may _want_ the timestamp in day to day use. Using
> "-n" all the time suppresses it. And there is no reason to suppress it,
> except that our test does not account for it properly. So your patch is
> hurting people who don't want "-n" (i.e., want the timestamp) just to
> make our test happy.

It's useful to omit the timestamp outside of git too. Source-based package
management systems generally store a URL from which to fetch a source
tarball, and a hash of that source tarball to ensure it hasn't been tampered
with. It's nice to be able to use a gitweb URL like

  http://git.kernel.org/?p=git/git.git;a=snapshot;h=e5af0de202e885b793482d416b8ce9d50dd2b8bc;sf=tgz

as the tarball source, and still be able to verify its integrity against a
prestored hash.

Cheers,

Chris.